%define major		6
%define libname		%mklibname rem %{major}
%define libnamedev	%mklibname rem -d

Summary: 	Audio and Video processing media library
Name: 		librem
Version: 	2.12.0
Release: 	%mkrel 1
License: 	BSD
Group: 		System/Libraries
URL:		https://github.com/baresip/
Source0: 	https://github.com/baresip/rem/archive/v%{version}/rem-%{version}.tar.gz
BuildRequires:	ninja
BuildRequires:	cmake
BuildRequires:	cmake(re)

%description
Generic library for real-time communications with async IO support.

%package -n	%{libname}
Summary:	Audio and Video processing media library
Group:		System/Libraries

%description -n	%{libname}
Generic library for real-time communications with async IO support.

%package -n	%{libnamedev}
Summary:	librem development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libnamedev}
librem development files.

%prep
%setup -qn rem-%{version}
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

find %{buildroot} -name '*.a' -print -delete

%files -n %{libname}
%{_libdir}/librem.so.%{major}{,.*}

%files -n %{libnamedev}
%{_libdir}/pkgconfig/librem.pc
#%%{_libdir}/cmake/rem/
%{_includedir}/rem/
%{_libdir}/librem.so


%changelog
* Mon Feb 20 2023 wally <wally> 2.12.0-1.mga9
+ Revision: 1944250
- new version 2.12.0
- new lib major 6

* Sun Jan 15 2023 daviddavid <daviddavid> 2.11.0-1.mga9
+ Revision: 1933322
- new version: 2.11.0
- now libmajor is 5

* Sun Dec 11 2022 wally <wally> 2.10.0-1.mga9
+ Revision: 1920568
- new version 2.10.0
- new lib major 4
- switch to cmake and ninja build

* Sun Nov 27 2022 wally <wally> 2.9.0-1.mga9
+ Revision: 1911678
- new version 2.9.0

* Wed Oct 12 2022 ghibo <ghibo> 2.8.0-1.mga9
+ Revision: 1896401
- Update to release 2.8.0 (required by baresip)

* Wed Sep 07 2022 wally <wally> 2.7.0-1.mga9
+ Revision: 1885062
- new version 2.7.0

* Sun Aug 07 2022 wally <wally> 2.6.0-1.mga9
+ Revision: 1875997
- new version 2.6.0
- new lib major 3

* Tue May 03 2022 wally <wally> 2.3.0-1.mga9
+ Revision: 1855636
- new version 2.3.0

* Sat Apr 23 2022 wally <wally> 2.0.1-1.mga9
+ Revision: 1852932
- new version 2.0.1

* Wed Mar 16 2022 luigiwalser <luigiwalser> 2.0.0-1.mga9
+ Revision: 1794996
- rediff patch0
- 2.0.0
- library major is now 2

* Mon May 10 2021 wally <wally> 1.0.0-2.mga9
+ Revision: 1722417
- rebuild for fixed aarch64 libre

* Sun May 09 2021 wally <wally> 1.0.0-1.mga9
+ Revision: 1722360
- new version 1.0.0

* Fri Feb 14 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1520767
- Mageia 8 Mass Rebuild

* Sat Dec 08 2018 wally <wally> 0.6.0-1.mga7
+ Revision: 1338968
- new version 0.6.0

* Sun Sep 23 2018 umeabot <umeabot> 0.5.2-6.mga7
+ Revision: 1299126
- Mageia 7 Mass Rebuild

* Wed Oct 25 2017 wally <wally> 0.5.2-5.mga7
+ Revision: 1173730
- use our build time flags
- add SONAME to lib
- drop requires excludes as libre is fixed

* Wed Oct 25 2017 dlucio <dlucio> 0.5.2-4.mga7
+ Revision: 1173709
- not using AutoReqProv

* Wed Oct 25 2017 dlucio <dlucio> 0.5.2-3.mga7
+ Revision: 1173660
- fix symlink

* Wed Oct 25 2017 dlucio <dlucio> 0.5.2-2.mga7
+ Revision: 1173657
- new make macros
- more variables passed
- FIXME: autoreqprov no to workaround a missing dependency
- imported package librem


* Fri Nov 5 2010 Alfred E. Heggestad <aeh@db.org> -
- Initial build.

